aboutsummaryrefslogtreecommitdiffstats
path: root/main/xf86-video-savage
diff options
context:
space:
mode:
Diffstat (limited to 'main/xf86-video-savage')
-rw-r--r--main/xf86-video-savage/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/main/xf86-video-savage/APKBUILD b/main/xf86-video-savage/APKBUILD
new file mode 100644
index 0000000000..e9a6d740ec
--- /dev/null
+++ b/main/xf86-video-savage/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-savage
+pkgver=2.3.1
+pkgrel=1
+pkgdesc="S3 Savage video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="mesa-dri-savage"
+makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto libdrm-dev xf86driproto mesa-dev glproto
+ "
+
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="66c319f610e3699c3de0f3ef630abb32 xf86-video-savage-2.3.1.tar.bz2"